Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	music tracking tool similar to fasttracker.
Name:      	soundtracker
Version:   	0.6.8
Release:   	1
Provides:	soundtracker
License: 	GNU/GPL
URL:		http://ngspice.sourceforge.net/
Group:     	Sound
Source0: 	%{name}-%{version}.tar.gz
Patch0:		%{name}-install.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	audiofile-devel

%description
SoundTracker is a music tracking tool for Unix / X11 similar
in design to the DOS program FastTracker and the Amiga legend
ProTracker. Samples can be lined up on tracks and patterns
which are then arranged to a song. Supported module formats
are XM and MOD; the player code is the one from OpenCP.
A basic sample recorder and editor is also included.
SoundTracker is free ("open source") software,
licensed under the GNU GPL. 

%post
ldconfig

%postun
ldconfig


%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--sysconfdir=%_sysconfdir \
--infodir=%_infodir
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 soundtracker.desktop $RPM_BUILD_ROOT%_applications
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_locale
%_datadir/soundtracker
%_applications

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.8-1
- Initial Release
